LedgerLou Docs is optimized for desktop.

Please open this page on a device with a wider screen.

Bank

Update bank account

Updates only the name of a bank account. The linked SKR04 account is immutable after creation.

PUT /v1/bank-accounts/:id
Authorization
Authorization string header required API key in the format ll_.... Pass as a Bearer token.
Request Body
name string optional Account label (max 255)
Responses
200
Success
400
INVALID_INPUT Required fields are missing or values do not match the expected format.
400
NO_CHANGES
404
NOT_FOUND The requested resource was not found.
PUT /v1/bank-accounts/:id
cURL
-cmd">curl --request -method">PUT -punct">\
  --url 'https://api.ledgerlou.de/v1/bank-accounts/:id' -punct">\
  --header 'Authorization: Bearer ll_your_key'
200 Response
JSON
updated bank account.